import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.sql.Types;

import quadbase.reportdesigner.ReportAPI.QbReport;
import quadbase.reportdesigner.ReportViewer.Viewer;
import quadbase.reportdesigner.util.ColInfo;
import quadbase.reportdesigner.util.SimpleQueryFileInfo;
import quadbase.reportdesigner.util.SimpleQueryMultiValueInParam;

public class MultiValueParameter extends Applet {
	static final long serialVersionUID = 1;

	public static void main(java.lang.String[] args) {

		try {

			MultiValueParameter doReport = new MultiValueParameter();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", doReport.doMultiValueParameter(frame));
			frame.setSize(900, 800);
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setVisible(true);

		} catch (Exception ex) {

			ex.printStackTrace();

		}

	}

	@Override
	public void init() {

		setLayout(new BorderLayout());
		add("Center", doMultiValueParameter(this));

	}

	Component doMultiValueParameter(Object parent) {
		QbReport.setEspressManagerUsed(false);
		//		Begin Code : Adding Parameter Info

		//		SimpleQueryMultiValueInParam(name of Parameter, String to be displayed, mapToColumn?, tableName, columnName, SQL Type, defaultValue, value);
		SimpleQueryMultiValueInParam inParam = new SimpleQueryMultiValueInParam("param",
				"Please select", true, "products", "productid", Types.INTEGER, new Integer(1), null);
		SimpleQueryMultiValueInParam[] paramSet = { inParam };

		SimpleQueryFileInfo rootInfo = new SimpleQueryFileInfo(
				"jdbc:hsqldb:woodview",
				"org.hsqldb.jdbcDriver",
				"sa", "",
				"select productid, productname " +
						"from Products where productid in (:param)");
		rootInfo.setInParam(paramSet);
		//		End Code : Adding Parameter Info

		//		Begin Code : Setting up Column Mapping
		ColInfo rootColInfo[] = new ColInfo[2];
		rootColInfo[0] = new ColInfo(0);
		rootColInfo[0].setName("Product ID");
		rootColInfo[1] = new ColInfo(1);
		rootColInfo[1].setName("Product Name");

		//		End Code : Setting up Column Mapping

		QbReport rootReport = new QbReport(
				parent,
				QbReport.MAILINGLABELS,
				rootInfo,
				rootColInfo,
				"MultiValueParameter.rpt");

		return (new Viewer().getComponent(rootReport));

	}

}
